Bug 1120557 - gnupg2-2.0.24 cannot import multiple keys
Summary: gnupg2-2.0.24 cannot import multiple keys
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnupg2
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tomas Mraz
QA Contact: Fedora Extras Quality Assurance
URL: http://lists.gnupg.org/pipermail/gnup...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-17 07:15 UTC by Petr Pisar
Modified: 2014-09-02 06:47 UTC (History)
4 users (show)

Fixed In Version: gnupg2-2.0.25-1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-07 15:30:41 UTC


Attachments (Terms of Use)

Description Petr Pisar 2014-07-17 07:15:26 UTC
$ LANG=en_US.UTF-8 /usr/bin/gpg2 --recv-keys 95C98EE5 95E45A9E
gpg: requesting key 95C98EE5 from hkp server pgp.mit.edu
gpg: requesting key 95E45A9E from hkp server pgp.mit.edu
gpg: key 95C98EE5: "Ken Coar/Rodent of Unusual Size (Object-signing key) <Ken@Coar.Org>" not changed
gpg: key 95E45A9E: rejected by import filter
gpg: Total number processed: 2
gpg:              unchanged: 1

$ rpm -qf /usr/bin/gpg2
gnupg2-2.0.24-1.fc20.x86_64

Importing multiple keys worked with previous gnupg2 versions. The tool emits "rejected by import filter" error instead now.

This regression is known to upstream and a fix is there <http://lists.gnupg.org/pipermail/gnupg-devel/2014-June/028522.html>.

Comment 1 Fedora Update System 2014-08-05 15:31:12 UTC
gnupg2-2.0.25-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/gnupg2-2.0.25-1.fc20

Comment 2 Fedora Update System 2014-08-05 15:31:54 UTC
gnupg2-2.0.25-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/gnupg2-2.0.25-1.fc19

Comment 3 Fedora Update System 2014-08-07 15:30:41 UTC
gnupg2-2.0.25-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2014-09-02 06:47:22 UTC
gnupg2-2.0.25-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.